Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface SetOperations<K,V>

    public interface SetOperations<K,V>

Redis set specific operations.

Method Summary
`Long` | `add(K key, V... values)`
`Set<V>` | `difference(K key, Collection<K> otherKeys)`
`Set<V>` | `difference(K key, K otherKey)`
`Long` | `differenceAndStore(K key, Collection<K> otherKeys, K destKey)`
`Long` | `differenceAndStore(K key, K otherKey, K destKey)`
`Set<V>` | `distinctRandomMembers(K key, long count)`
`RedisOperations<K,V>` | `getOperations()`
`Set<V>` | `intersect(K key, Collection<K> otherKeys)`
`Set<V>` | `intersect(K key, K otherKey)`
`Long` | `intersectAndStore(K key, Collection<K> otherKeys, K destKey)`
`Long` | `intersectAndStore(K key, K otherKey, K destKey)`
`Boolean` | `isMember(K key, Object o)`
`Set<V>` | `members(K key)`
`Boolean` | `move(K key, V value, K destKey)`
`V` | `pop(K key)`
`V` | `randomMember(K key)`
`List<V>` | `randomMembers(K key, long count)`
`Long` | `remove(K key, Object... values)`
`Long` | `size(K key)`
`Set<V>` | `union(K key, Collection<K> otherKeys)`
`Set<V>` | `union(K key, K otherKey)`
`Long` | `unionAndStore(K key, Collection<K> otherKeys, K destKey)`
`Long` | `unionAndStore(K key, K otherKey, K destKey)`

Method Detail

### difference

    Set<V> difference(K key,
                      K otherKey)

### difference

    Set<V> difference(K key,
                      Collection<K> otherKeys)

### differenceAndStore

    Long differenceAndStore(K key,
                            K otherKey,
                            K destKey)

### differenceAndStore

    Long differenceAndStore(K key,
                            Collection<K> otherKeys,
                            K destKey)

### intersect

    Set<V> intersect(K key,
                     K otherKey)

### intersect

    Set<V> intersect(K key,
                     Collection<K> otherKeys)

### intersectAndStore

    Long intersectAndStore(K key,
                           K otherKey,
                           K destKey)

### intersectAndStore

    Long intersectAndStore(K key,
                           Collection<K> otherKeys,
                           K destKey)

### union

    Set<V> union(K key,
                 K otherKey)

### union

    Set<V> union(K key,
                 Collection<K> otherKeys)

### unionAndStore

    Long unionAndStore(K key,
                       K otherKey,
                       K destKey)

### unionAndStore

    Long unionAndStore(K key,
                       Collection<K> otherKeys,
                       K destKey)

### add

    Long add(K key,
             V... values)

### isMember

    Boolean isMember(K key,
                     Object o)

### members

    Set<V> members(K key)

### move

    Boolean move(K key,
                 V value,
                 K destKey)

### randomMember

    V randomMember(K key)

### distinctRandomMembers

    Set<V> distinctRandomMembers(K key,
                                 long count)

### randomMembers

    List<V> randomMembers(K key,
                          long count)

### remove

    Long remove(K key,
                Object... values)

### pop

    V pop(K key)

### size

    Long size(K key)

### getOperations

    RedisOperations<K,V> getOperations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD